classification
Title: argparse docs needs fixing
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Retro, docs@python, eric.araujo, ezio.melotti, python-dev
Priority: normal Keywords:

Created on 2011-04-20 11:58 by Retro, last changed 2011-04-22 22:24 by Retro. This issue is now closed.

Files
File name Uploaded Description Edit
unnamed Retro, 2011-04-22 22:24
Messages (9)
msg134141 - (view) Author: Boštjan Mejak (Retro) Date: 2011-04-20 11:58
Hello, I am returning to report new fixes to be made to argparse docs. The issues can be observed in this link:

http://docs.python.org/dev/library/argparse.html#upgrading-optparse-code


1) "When most everything in optparse had either been copy-pasted over or monkey-patched ..."

"When most in optparse had either been copy-pasted over or monkey-patched ..."

Word "everything" was removed.

2) "- Replace strings with implicit arguments such as %default or %prog with the standard python syntax to use dictionaries to format strings, that is, %(default)s and %(prog)s."

"- Replace strings with implicit arguments such as %default or %prog with the standard Python syntax to use dictionaries to format strings, that is %(default)s and %(prog)s."

Word "python" was fixed to "Python" and comma was deleted after "that is".


Please fix this. Thanks.
msg134152 - (view) Author: Boštjan Mejak (Retro) Date: 2011-04-20 13:49
I have also discovered some non-capitalised "python" words in the very same argparse docs. These 2 subtitles have those typos:

1) 15.4.1.1. Creating a parser
2) 15.4.6. Upgrading optparse code


Please fix this as well.
msg134209 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-04-21 12:29
New changeset 0f084f150198 by Ezio Melotti in branch '2.7':
#11885: capitalize Python.
http://hg.python.org/cpython/rev/0f084f150198

New changeset fb6affc7b973 by Ezio Melotti in branch '3.2':
#11885: capitalize Python.
http://hg.python.org/cpython/rev/fb6affc7b973

New changeset 9fece8c3a1a9 by Ezio Melotti in branch 'default':
#11885: Merge with 3.2.
http://hg.python.org/cpython/rev/9fece8c3a1a9
msg134210 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-21 12:30
Fixed, thanks for the report.
msg134216 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-21 15:01
>> "When most in optparse had either been copy-pasted over or monkey-patched ..."
> Word "everything" was removed.
The result is grammatically incorrect :)  I’d suggest “most of argparse”.

> comma was deleted after "that is".
Both versions were grammatically correct, it was a style thing, in which case I would respect the choice of the original author.
msg134217 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-21 15:02
most of optparse*
msg134234 - (view) Author: Boštjan Mejak (Retro) Date: 2011-04-21 18:33
Eric, you are great! Thanks for fixing the docs. ;)
msg134268 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-22 16:34
No problem, it’s Ezio who did the work.
msg134280 - (view) Author: Boštjan Mejak (Retro) Date: 2011-04-22 22:24
I ment to say Ezio. Got confused. Thanks, Ezio!
History
Date User Action Args
2011-04-22 22:24:32Retrosetfiles: + unnamed

messages: + msg134280
2011-04-22 16:34:13eric.araujosetmessages: + msg134268
versions: - Python 3.4
2011-04-22 16:33:54eric.araujosetfiles: - unnamed
2011-04-21 18:33:56Retrosetfiles: + unnamed

messages: + msg134234
2011-04-21 15:02:01eric.araujosetmessages: + msg134217
2011-04-21 15:01:44eric.araujosetmessages: + msg134216
2011-04-21 13:15:23ezio.melottisetassignee: docs@python -> ezio.melotti
2011-04-21 12:30:35ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg134210

stage: resolved
2011-04-21 12:29:41python-devsetnosy: + python-dev
messages: + msg134209
2011-04-20 13:49:53Retrosetmessages: + msg134152
2011-04-20 12:00:17ezio.melottisetnosy: + ezio.melotti, eric.araujo
2011-04-20 11:59:20Retrosetassignee: docs@python

nosy: + docs@python
components: + Documentation
versions: + Python 2.7, Python 3.2, Python 3.3, Python 3.4
2011-04-20 11:58:40Retrocreate